<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title'] = 'Что обсуждают друзья';
include_once 'sys/inc/thead.php';

title();
echo "<div class='mytitle'>\n";
echo "".online($user['id'])." <a href='index.php'>$user[nick]</a><br/>Лента обсуждений\n";
echo "</div>\n";
echo '<div class="p_m">';

if(!isset($user)){
echo '<div class="err">Доступ закрыт.</div>';
}else{

mysql_query("UPDATE `obsuzh` SET `read` = '1' WHERE `id_kont` = '".$user['id']."' AND `read` = '0'");
echo '<table class="post">';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `obsuzh` WHERE `id_kont` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$set['p_str']);
$page = page($k_page);
$start = $set['p_str']*$page-$set['p_str'];

if($k_post==0){
	echo '<div class="komm">Нет новых обсуждений!</div>';
}

$q=mysql_query("SELECT * FROM `obsuzh` WHERE `id_kont` = '".$user['id']."' ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_array($q)){
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]'"));

	echo "<tr>\n";

echo '<tr><td class="icon14">';
avatar3($ank['id']);
if($num==1){
echo '</td><td class="p_t">';
$num=0;
}else{
echo '</td><td class="menu_razd">';
$num=1;}
	echo "".online($ank['id'])." <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> (".vremja($post[time]).") </a> <br/>";
echo ''.output_text($post['msg']).'';
echo '</td></tr>';
}
echo '</table>';

if($k_page>1){
	str("obsuzh.php?id=".$user['id']."&amp;",$k_page,$page);
}
}
echo '</div>';
include_once 'sys/inc/tfoot.php';
?>
